#!/bin/bash

# Creates and sets up your Python 3.10 venv
python3.10 -m venv venv310
source venv310/bin/activate

# Install Python packages
pip install --upgrade pip
pip install \
    numpy \
    matplotlib \
    ipympl \
    jupyterlab \
    jupyterlab-widgets \
    ipykernel

# Register venv310 as Jupyter kernel
python -m ipykernel install --user --name=venv310 --display-name="Python 3.10 (venv310)"

echo "Setup complete! Activate with: source venv310/bin/activate"
echo "Then start JupyterLab with: jupyter lab --ip=0.0.0.0 --port=8888 --allow-root"